Page MenuHomePhabricator

Add support to <pagelist/> lists only verse OR obverse pages in a given interval
Closed, ResolvedPublic

Description

This feature will be useful for bilingual works that have one language in odd pages and a second language in the even pages, since Wikisource wikis are language based.

I've just found 89 librettos in this scennario [1]. I don't have plans to work on those in the next months, but this feature will be a great addition if more works in this page configuration starts to appear in the web.

Taking for example [2], the given syntax can be, for the Portuguese language index:

<pagelist
1to2=-
3=1
6to105=onlyodd
106to109=-
/>

For the Italian language:

<pagelist
1to2=-
3=1
6to105=onlyeven
106to109=-
/>

[1] - https://archive.org/search.php?query=language%3A"ita%3B+por"
[2] - https://archive.org/stream/oshuguenotestrag00meye


Version: unspecified
Severity: enhancement

Details

Reference
bz60767
Related Gerrit Patches:
mediawiki/extensions/ProofreadPage : masterOdd/even page numbering through <pagelist/>

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 3:06 AM
bzimport added a project: ProofreadPage.
bzimport set Reference to bz60767.
bzimport added a subscriber: Unknown Object (MLST).
555 created this task.Feb 3 2014, 4:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 19 2015, 8:22 PM
Restricted Application added a project: Internet-Archive. · View Herald TranscriptMay 17 2018, 8:37 AM

It's a nice idea! However, the syntax 6to105=onlyodd won't allow to choose the numbering style or to assign a fixed value.
Instead, I'm thinking of adding another block to the "range" syntax, like:

6to105even=normal
6to105odd=-

which would produce: 6 - 8 - 10 - and so on.
This seems easier to implement, because by looking only at the range, without considering the value, you can immediately determine if a page is "inside" or "outside" the range*.

(* "range" is an incorrect term in this case, 'cause it won't include all the numbers).

If, say, we don't want to proofread the odd pages, we could either:

  • mark them as empty (6to105odd=empty) so that the number is shown but it's not a clickable link
  • introduce a new number style called "hidden", which wouldn't even show the number, so we get 6 8 10 12 ecc.

@Tpt, what do you think?

Change 436974 had a related patch set uploaded (by Candalua; owner: Candalua):
[mediawiki/extensions/ProofreadPage@master] Odd/even page numbering through <pagelist/>

https://gerrit.wikimedia.org/r/436974

Change 436974 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Odd/even page numbering through <pagelist/>

https://gerrit.wikimedia.org/r/436974

Candalua closed this task as Resolved.Jun 14 2018, 10:42 AM
Candalua claimed this task.

The odd/even feature is now available. Instructions have been added to https://wikisource.org/wiki/Wikisource:ProofreadPage#The_%3Cpagelist/%3E_tag

In short, it can be used like this:

<pagelist 1to7odd="normal" 1to7even="-" />

The syntax "1to10" will work as usual.